Package org.postgresql.util

# Class PSQLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
org.postgresql.util.PSQLException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class PSQLException extends SQLException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PSQLException(@Nullable String msg, @Nullable PSQLState state)`
`PSQLException(@Nullable String msg, @Nullable PSQLState state, @Nullable Throwable cause)`
`PSQLException(ServerErrorMessage serverError)`
`PSQLException(ServerErrorMessage serverError, boolean detail)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable ServerErrorMessage`
`getServerErrorMessage()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### PSQLException

@Pure public PSQLException(@Nullable String msg, @Nullable PSQLState state, @Nullable Throwable cause)

### PSQLException

@Pure public PSQLException(@Nullable String msg, @Nullable PSQLState state)

### PSQLException

@Pure public PSQLException(ServerErrorMessage serverError)

### PSQLException

@Pure public PSQLException(ServerErrorMessage serverError, boolean detail)

## Method Details

### getServerErrorMessage

@Pure public @Nullable ServerErrorMessage getServerErrorMessage()